Document Wayland XML language
Closed, ResolvedPublic

Description

Currently the specification of the Wayland XML language for protocol specifications is "what wayland-scanner does".

What that really is should be documented properly. Especially the newly proposed attributes for enums require documentation on what they really mean.

Once there is documentation, one could think about adding wayland-scanner tests as another Task.

pq created this task.Apr 23 2015, 8:10 AM
pq updated the task description. (Show Details)
pq raised the priority of this task from to Needs Triage.
pq added a project: Wayland.
pq added a subscriber: pq.
pq triaged this task as Enhancement priority.Oct 12 2015, 10:28 AM

Enhancement, because atm. I think it would be more important to ensure the quality of wayland-scanner first: T3313, T3358.

daniels added a subscriber: daniels.Jun 5 2018, 7:14 PM

GitLab Migration Automatic Message

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/wayland/wayland/issues/3.

daniels closed this task as Closed.Jun 5 2018, 7:15 PM
daniels claimed this task.